> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spicerack.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Event Decklists

> Retrieve all decklists submitted for this event. Includes deck contents and metadata.



## OpenAPI

````yaml https://api.spicerack.gg/docs/schema get /api/v1/magic-events/{id}/decklists/
openapi: 3.0.3
info:
  title: Hydra API
  version: 1.0.0
  description: Hydra API
servers: []
security: []
paths:
  /api/v1/magic-events/{id}/decklists/:
    get:
      tags:
        - magic-events
      summary: Get Event Decklists
      description: >-
        Retrieve all decklists submitted for this event. Includes deck contents
        and metadata.
      operationId: magic_events_decklists_list
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Decklist'
          description: ''
      security:
        - APIKey: []
        - APIKey: []
components:
  schemas:
    Decklist:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 255
        moxfield_deck_json:
          type: string
          nullable: true
        plaintext_list:
          type: string
          nullable: true
        moxfield_public_id:
          type: string
          nullable: true
          maxLength: 255
        deck_image_url:
          type: string
          readOnly: true
        archetype:
          type: string
          nullable: true
          maxLength: 255
      required:
        - deck_image_url
        - id
        - name
  securitySchemes:
    APIKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API key in format: sk_*'

````